

   {

    //角色释放Ex-Sp，有20%概率恢复30%SP

    //随机口味的血爵，打开之前你永远不知道自己买的是什么味道的。据说还有0.01%的概率开出稀有的隐藏口味：血的味道。

    

    "AbilityName":"Card_Edrink_1000208",

    "AbilityStacking":"Unique",

    "DefaultModifier":

    {

        "ModifierStacking":"Unique",

        "OnSkillStart":

        [

            {

                "$type" : "MoleMole.RandomOperator",

                "Target" : "Self",

                "Odds" : "%ByOdds",

                "OnSuccess" : 

                [

                    {

                        "$type": "MoleMole.ApplyModifier",

                        "ModifierName" : "SpReturn"

                    }

                ],

                "Predicates" :

                [

                    {

                        "$type": "MoleMole.ByFromSkillType",

                        "Target": "Self",

                        "SkillType": "ExSp"

                    }

                ]

            }

           

        ]

    },

    "Modifiers" :

    {

        "SpReturn" : 

        {

            "Duration" : 0.3,

            "ModifierStacking" : "Unique",

            "OnAdded":

            [

                // {

                //     "$type":"MoleMole.SetAbilitySpecialsByPropertyAction",

                //     "ParamName":"AddedPlayerAttackRatio",

                //     "ModifyFunction":"Replace",

                //     "PropertyType":"MaxSP",

                //     "Percentage":"%SPRecoveryRatio"

                // },

                {

                    "$type": "MoleMole.RecoverSPAction",

                    "Target" : "Self",

                    "Percentage": "%SPRecoveryRatio",

                    "Amount": 0,

                    "IgnoreRatio": false

                },

                {

                    "$type":"MoleMole.RemoveModifier",

                    "ModifierName":"SpReturn",

                    "Target":"Self"

                }

            ]

        }

    },

    "AbilitySpecials" : 

    {

        //表格参数

        "SPRecoveryRatio" :

        {

            "Value" : 0.3

        },

        "ByOdds":

        {

            "Value":0.5

        }

    }

}